.parent {
    height: 2800px;
    position: relative;
    margin: 0;
    background-color: lightgray;
}
.decoration1 {
    position: absolute;
    height: 2500px;
    bottom: 0;
}
.decoration1 .square {
    position: sticky;
    width: 300px;
    height: 200px;
    background-color:brown;
    top: 10px;
    left: 300px;
}
.decoration2 {
    position: absolute;
    height: 2000px;
    bottom: 0;
}
.decoration2 .square {
    position: sticky;
    width: 400px;
    height: 100px;
    background-color:cadetblue;
    top: 70px;
    left: 400px;
}
.decoration3 {
    position: absolute;
    height: 1500px;
    bottom: 0;
}
.decoration3 .square {
    position: sticky;
    width: 200px;
    height: 200px;
    background-color: darkmagenta;
    top: 50px;
    left: 700px;
}